%define gcj_support	1

%define eclipse_name	eclipse
%define eclipse_base	%{_datadir}/%{eclipse_name}


Name:		eclipse-nlspackager
Version:	0.1.2
Release:	1%{?dist}
Summary:	Eclipse NLS package generator 
Group:		Translations
License:	Eclipse Public License
URL:		http://wiki.eclipse.org/index.php/Linux_Distributions_Project

Source0:	%{name}-src-%{version}.zip 

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:		eclipse-pde
%if %{gcj_support}
BuildRequires:		gcc-java >= 4.0.2
BuildRequires:		java-gcj-compat-devel >= 1.0.33
%else
BuildRequires:		java-devel >= 1.4.2
%endif
Requires:		eclipse-rcp
BuildArch:		noarch

%description
This nlspackager takes in single/multiple language pack zips from eclipse.org
and creates features/plugins such that each feature only contains plugins for
just one language.


%prep
%setup -q -c -n NLSPackager 


%build
# See comments in the script to understand this.
#/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
cp -r %{eclipse_base} SDK
SDK=$(cd SDK > /dev/null && pwd)

# Eclipse may try to write to the home directory.
mkdir home
homedir=$(cd home > /dev/null && pwd)

pushd nlspackager
mkdir build
# This can go away when package build handles plugins (not just features)
echo "<project default=\"main\"><target name=\"main\"></target></project>" > build/assemble.org.eclipse.linuxtools.nlspackager.all.xml
echo "<project default=\"main\"><target name=\"main\"></target></project>" > build/package.org.eclipse.linuxtools.nlspackager.all.xml

# Build the langpackager plugin
eclipse	\
	-application org.eclipse.ant.core.antRunner	\
	-Duser.home=$homedir				\
	-Dtype=plugin					\
	-Did=org.eclipse.linuxtools.nlspackager		\
	-DsourceDirectory=$(pwd)			\
	-DbaseLocation=$SDK				\
	-Dbuilder=%{eclipse_base}/plugins/org.eclipse.pde.build/templates/package-build	\
	-f %{eclipse_base}/plugins/org.eclipse.pde.build/scripts/build.xml


pushd build/plugins/org.eclipse.linuxtools.nlspackager

eclipse \
	-application org.eclipse.ant.core.antRunner	\
	-Duser.home=$homedir				\
	-DbaseLocation=$SDK				\
	-f build.xml build.update.jar

mv org.eclipse.linuxtools.nlspackager_%{version}.jar $SDK/plugins
popd
popd

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{eclipse_base}

pushd $RPM_BUILD_ROOT%{eclipse_base}
mkdir plugins
popd

pushd SDK
cp -p plugins/org.eclipse.linuxtools.nlspackager_%{version}.jar $RPM_BUILD_ROOT%{eclipse_base}/plugins/
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
%{eclipse_base}/plugins/org.eclipse.linuxtools.nlspackager_*

%changelog
* Thu Mar 15 2007 Kyu Lee <klee@redhat.com> 0.1.2-1
- Initial release. 
